### Method

# Adw PreferencesWindowpresent_subpage

deprecated: 1.4

#### Declaration [src]

    void
    adw_preferences_window_present_subpage (
      AdwPreferencesWindow* self,
      GtkWidget* subpage
    )

#### Description [src]

Sets `subpage` as the window’s subpage and opens it.

The transition can be cancelled by the user, in which case visible child will change back to the previously visible child.

Deprecated since: 1.4

Use `adw_preferences_window_push_subpage()` instead.

#### Parameters

`subpage`

  Type: `GtkWidget`

  The subpage.

  The data is owned by the caller of the method.